# Some rules used:
#- All localization variables start with L_
#- The (possible) second part is all-caps and indicates the type of widget etc.
#- The rest gives a rough description of what the message is (content/location)
#- They appear in the order in which they exist in the script -- not running order
#  +(except for the general ones that are used in different places)

## General text
L_TITLE_Network_Wizard="Puppy Network Wizard"
L_BUTTON_Exit="Exit"
L_BUTTON_Save="Save"
L_BUTTON_Load="Load"
L_BUTTON_Unload="Unload"

## net-setup.sh
# function: refreshMainWindowInfo
L_LABEL_Interface_Tree_Header="Interface|Type|Module|Device description"

L_ECHO_No_Interfaces_Message="Puppy cannot see any active network interfaces.

If you have one or more network adaptors (interfaces) in the PC and you want to use them, then driver modules will have to be loaded. This is supposed to be autodetected and the correct driver loaded when Puppy boots up, but it hasn't happened in this case. Never mind, you can do it manually!"
L_ECHO_One_Interface_Message="Puppy has identified the following network interface on your computer, but it still needs to be configured.
To test or configure it, click on its button."
L_ECHO_Multiple_Interfaces_Message="Puppy has identified the following network interfaces on your computer, but they still need to be configured.
To test or configure an interface, click on its button."

# function: buildMainWindow
L_FRAME_Interfaces="Interfaces"
L_FRAME_Network_Modules="Network modules"

# function: showLoadModuleWindow
L_TITLE_Load_Network_Module="Load a network module"
L_NOTEBOOK_Modules_Header="Select module|Ndiswrapper|More"

L_TEXT_Select_Module_Tab="If you see a module below that matches your hardware (and isn't loaded yet...), select it and press the 'Load' button.
If not (or you are unsure), go to the 'More' tab."
L_LABEL_Module_Tree_Header="Module|Type|Description"

L_TEXT_Ndiswrapper_Tab="<b>Ndiswrapper</b> is a mechanism that 'wraps' a Windows driver and enables using it under Linux.

In order to use it, all you will need to do is know the location of the driver information file (.INF) for the Windows driver (usually in the driver directory of your Windows installation...).

Note that Ndiswrapper does <b>not</b> work with Windows Vista drivers.
"
L_BUTTON_Use_Ndiswrapper="Use Ndiswrapper"

L_TEXT_More_Tab="Click <b>Specify</b> to choose a module that's not listed, or specify a module followed by parameters (might be mandatory for ISA cards, see examples below).
Click <b>Unload</b> to unload a currently loaded module (so that you can then load an alternative).
Click <b>Auto-probe</b> to try loading ALL the modules in the list.

Example1: ne io=0x000, 
Example2: arlan  io=0x300 irq=11
(Example1 works for most ISA cards and does some autoprobing of io and irq)"
L_BUTTON_Specify="Specify"
L_BUTTON_Autoprobe="Auto-probe"

L_TOPMSG_Load_Module_None_Selected="REPORT ON LOADING OF MODULE: No module was selected"
L_TOPMSG_Load_Module_Cancel="REPORT ON LOADING OF MODULE: No module was loaded"

L_MESSAGE_One_New_Interface="The following new interface has been found"
L_MESSAGE_Multiple_New_Interfaces="The following new interfaces have been found"

L_FRAME_New_Interfaces="New interfaces"
L_LABEL_New_Interfaces_Tree_Header="Interface|Type|Module|Device description"
L_TEXT_New_Interfaces_p1="Click the 'Save' button to save the selection, so that Puppy will automatically load"
L_TEXT_New_Interfaces_p2="at bootup.
\\Click Cancel to just go back and configure the new interface."

L_TEXT_No_New_Interfaces1="No new interfaces were detected."
L_TEXT_No_New_Interfaces2="Click the 'Unload' button to unload the new module and try to load another one."

L_TITLE_New_Module_Loaded="New module loaded"
L_TEXT_New_Module_Loaded="The following new module has been loaded:"

L_TOPMSG_New_Module_Save="New module information saved"
L_TOPMSG_New_Module_Unload="New module unloaded"
L_TOPMSG_New_Module_Cancelled="Cancelled"

L_TOPMSG_Load_Module_None_Loaded="REPORT ON LOADING OF MODULE: No module was loaded"

# function: tryLoadModule
L_TITLE_Netwiz_Hardware="Puppy Network Wizard: hardware"
L_MESSAGE_Driver_Loaded="The driver is already loaded.\nThat does not mean it will actually work though!\nAfter clicking OK, see if a new interface\nhas been detected."
L_MESSAGE_Driver_Success_p1="Module"
L_MESSAGE_Driver_Success_p2="has loaded successfully.
That does not mean it will actually work though!
After clicking OK, see if a new interface
has been detected."

L_MESSAGE_Driver_Failed_p1="Loading "
L_MESSAGE_Driver_Failed_p2="failed with the following message:
"
L_MESSAGE_Driver_Failed_p3="Maybe try a different driver.
"

# function: askWhichInterfaceForNdiswrapper
L_TEXT_Ask_Which_Interface_For_Ndiswrapper="<b>One thing before we can use Ndiswrapper:</b>
Your network card can only be used with one driver at a time. This means that if there already is a driver using it (i.e. there was an interface matching it in the main dialog), we will need to unload that driver before we can use Ndiswrapper.

To do so, just press the button matching the relevant interface. If no interface matches your hardware, press 'none'.
"
L_BUTTON_None="none"

L_MESSAGE_Remove_Module_Failed_p1="Error!
Failed to unload module"
L_MESSAGE_Remove_Module_Failed_p2="
The following error was returned:"

# function: loadNdiswrapperModule
L_MESSAGE_Blacklist_Nativemod_p1="The module"
L_MESSAGE_Blacklist_Nativemod_p2="was previously loaded and had
to be removed in order for ndiswrapper to work.
Would you like to have this module added to the list 
of blacklisted modules, so that it will not be 
loaded when booting? 
Note, you can always remove it later, by running the
BootManager (see System menu)"

# function: loadSpecificModule
L_TITLE_Load_A_Module="Load A Module"
L_TEXT_Load_A_Module="Please type the name of a specific module to load
(extra parameters allowed, but don't type tab chars)."

# function: autoLoadModule
L_MESSAGE_Success_Loading_Module_p1="Success loading the"
L_MESSAGE_Success_Loading_Module_p2="module. That does not mean it will actually work though!
After clicking OK, back on the main window if you see a new active interface
proceed to configure it.

NOTE: it is possible that a module loads ok, but it is a false hit, that is, does
not actually work with your network adaptor. In that case, try autoprobing again. 
This script will remember the previous attempts (until you exit this script) and will
jump over them.
If you do get false hits, let us know about it on the Puppy Discussion Forum!"

L_MESSAGE_No_Module_Loaded="No module loaded successfully.

Note however that these modules are already loaded:"

# function: offerToBlacklistModule
L_TEXT_Blacklist_Module_p1="Module"
L_TEXT_Blacklist_Module_p2="removed successfully.

Would you like to blacklist it, so that in the
future it will not get loaded while booting?
"
L_BUTTON_Blacklist="Blacklist"
L_BUTTON_No="No"

# function: unloadSpecificModule
L_MESSAGE_No_Loaded_Items="Error!
It seems like no network modules are currently loaded...
"

L_TITLE_Unload_A_Module="Unload A Module"
L_TEXT_Unload_A_Module="Please select the module you
wish to unload, then press 'Unload'..."
L_COMBO_Module="Module:"

# function: findLoadedModules
L_PROGRESS_Checking_Loaded_Modules="Checking loaded modules"

# function: testInterface

